

Print the name of the offending slab if we're going to go BUG in
kmem_cache_init().


---

 mm/slab.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN mm/slab.c~slab-print-name mm/slab.c
--- 25/mm/slab.c~slab-print-name	2004-02-10 08:07:32.000000000 -0800
+++ 25-akpm/mm/slab.c	2004-02-10 08:10:12.000000000 -0800
@@ -1042,8 +1042,10 @@ kmem_cache_create (const char *name, siz
 		(size < BYTES_PER_WORD) ||
 		(size > (1<<MAX_OBJ_ORDER)*PAGE_SIZE) ||
 		(dtor && !ctor) ||
-		(offset < 0 || offset > size))
+		(offset < 0 || offset > size)) {
+			printk("%sEarly error in slab %s\n", func_nm, name);
 			BUG();
+		}
 
 #if DEBUG
 	WARN_ON(strchr(name, ' '));	/* It confuses parsers */

_
